﻿using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Web;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
namespace SyncfusionASPNETApplication2
{
    public partial class GridFeatures : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            if (order.Count == 0)
            {
                int orderId = 10000;
                order.Add(new Orders(orderId + 1, 100, 300, 400));
                order.Add(new Orders(orderId + 2, 50, 75, 25));
                order.Add(new Orders(orderId + 3, 700, 600, 1000));
                order.Add(new Orders(orderId + 4, 13, 44, 55));
                order.Add(new Orders(orderId + 5, 99, 103, 211));
                order.Add(new Orders(orderId + 7, 33, 88, 66));
                order.Add(new Orders(orderId + 8, 765, 786, 687));
                order.Add(new Orders(orderId + 8, 123, 213, 567));
                order.Add(new Orders(orderId + 9, 888, 889, 990));
            }

            this.OrdersGrid.DataSource = order;
            this.OrdersGrid.DataBind();
        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(int orderId, int customerId, int Value, int Price)
            {
                this.OrderID = orderId;
                this.CustomerID = customerId;
                this.Value = Value;
                this.Price = Price;
            }
            public int OrderID { get; set; }
            public int CustomerID { get; set; }
            public int Value { get; set; }
            public int Price { get; set; }
        }
    }
}
